Create discovery
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/discoveries" \ -H "Content-Type: application/json" \ -d '{ "daemon_id": "0f0cd6bf-ac90-457b-aa3f-6f24990d5ff6", "discovery_type": { "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b", "type": "SelfReport" }, "integration_targets": [ { "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242", "scope": "DaemonHost" } ], "name": "string", "run_type": { "cron_schedule": "string", "enabled": true, "type": "Scheduled" }, "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "tags": [ "a424dc99-d215-4281-ad2d-a3a9bc179925" ] }'{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"data": {
"daemon_id": "0f0cd6bf-ac90-457b-aa3f-6f24990d5ff6",
"discovery_type": {
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"type": "SelfReport"
},
"name": "string",
"run_type": {
"cron_schedule": "string",
"enabled": true,
"type": "Scheduled",
"last_run": "2019-08-24T14:15:22Z",
"timezone": "string"
},
"site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
"tags": [
"a424dc99-d215-4281-ad2d-a3a9bc179925"
],
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration_targets": [
{
"credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242",
"scope": "DaemonHost"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"force_full_scan": true,
"next_run_is_full_scan": true,
"scan_count": 0
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Product names and logos are trademarks of their respective owners. See credits.